

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.70. truncate &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.4. Data types" href="../types.html" />
    <link rel="prev" title="7.3.69. tokenizer_list" href="tokenizer_list.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/truncate.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../types.html" title="7.4. Data types"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="tokenizer_list.html" title="7.3.69. tokenizer_list"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.70. </span><code class="docutils literal notranslate"><span class="pre">truncate</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="truncate">
<h1><span class="section-number">7.3.70. </span><code class="docutils literal notranslate"><span class="pre">truncate</span></code><a class="headerlink" href="#truncate" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.70.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">truncate</span></code> command deletes all records from specified table or all
values from specified column.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.70.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes only one required parameter:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>truncate target_name
</pre></div>
</div>
<div class="versionadded">
<p><span class="versionmodified added">New in version 4.0.9: </span><code class="docutils literal notranslate"><span class="pre">target_name</span></code> parameter can be used since 4.0.9. You need to use
<code class="docutils literal notranslate"><span class="pre">table</span></code> parameter for 4.0.8 or earlier.</p>
<p>For backward compatibility, <code class="docutils literal notranslate"><span class="pre">truncate</span></code> command accepts <code class="docutils literal notranslate"><span class="pre">table</span></code>
parameter. But it should not be used for newly written code.</p>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.70.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>Here is a simple example of <code class="docutils literal notranslate"><span class="pre">truncate</span></code> command against a table.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Users TABLE_PAT_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users score COLUMN_SCALAR Int32
# [[0, 1337566253.89858, 0.000355720520019531], true]
load --table Users
[
{&quot;_key&quot;: &quot;Alice&quot;,  &quot;score&quot;: 2},
{&quot;_key&quot;: &quot;Bob&quot;,    &quot;score&quot;: 0},
{&quot;_key&quot;: &quot;Carlos&quot;, &quot;score&quot;: -1}
]
# [[0, 1337566253.89858, 0.000355720520019531], 3]
select Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         3
#       ],
#       [
#         [
#           &quot;_id&quot;,
#           &quot;UInt32&quot;
#         ],
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;score&quot;,
#           &quot;Int32&quot;
#         ]
#       ],
#       [
#         1,
#         &quot;Alice&quot;,
#         2
#       ],
#       [
#         2,
#         &quot;Bob&quot;,
#         0
#       ],
#       [
#         3,
#         &quot;Carlos&quot;,
#         -1
#       ]
#     ]
#   ]
# ]
truncate Users
# [[0, 1337566253.89858, 0.000355720520019531], true]
select Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         0
#       ],
#       [
#         [
#           &quot;_id&quot;,
#           &quot;UInt32&quot;
#         ],
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;score&quot;,
#           &quot;Int32&quot;
#         ]
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
<p>Here is a simple example of <code class="docutils literal notranslate"><span class="pre">truncate</span></code> command against a column.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Users TABLE_PAT_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users score COLUMN_SCALAR Int32
# [[0, 1337566253.89858, 0.000355720520019531], true]
load --table Users
[
{&quot;_key&quot;: &quot;Alice&quot;,  &quot;score&quot;: 2},
{&quot;_key&quot;: &quot;Bob&quot;,    &quot;score&quot;: 0},
{&quot;_key&quot;: &quot;Carlos&quot;, &quot;score&quot;: -1}
]
# [[0, 1337566253.89858, 0.000355720520019531], 3]
select Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         3
#       ],
#       [
#         [
#           &quot;_id&quot;,
#           &quot;UInt32&quot;
#         ],
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;score&quot;,
#           &quot;Int32&quot;
#         ]
#       ],
#       [
#         1,
#         &quot;Alice&quot;,
#         2
#       ],
#       [
#         2,
#         &quot;Bob&quot;,
#         0
#       ],
#       [
#         3,
#         &quot;Carlos&quot;,
#         -1
#       ]
#     ]
#   ]
# ]
truncate Users.score
# [[0, 1337566253.89858, 0.000355720520019531], true]
select Users
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         3
#       ],
#       [
#         [
#           &quot;_id&quot;,
#           &quot;UInt32&quot;
#         ],
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;score&quot;,
#           &quot;Int32&quot;
#         ]
#       ],
#       [
#         1,
#         &quot;Alice&quot;,
#         0
#       ],
#       [
#         2,
#         &quot;Bob&quot;,
#         0
#       ],
#       [
#         3,
#         &quot;Carlos&quot;,
#         0
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.70.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes parameters of <code class="docutils literal notranslate"><span class="pre">truncate</span></code>.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.70.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is required parameter, <code class="docutils literal notranslate"><span class="pre">target_name</span></code>.</p>
<div class="section" id="target-name">
<h4><span class="section-number">7.3.70.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">target_name</span></code><a class="headerlink" href="#target-name" title="Permalink to this headline">¶</a></h4>
<p>Specifies the name of table or column.</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.70.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">truncate</span></code> command returns whether truncation is succeeded or not:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, SUCCEEDED_OR_NOT]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code></p>
<blockquote>
<div><p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> about <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">SUCCEEDED_OR_NOT</span></code></p>
<blockquote>
<div><p>If command succeeded, it returns true, otherwise it returns false on error.</p>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.70. <code class="docutils literal notranslate"><span class="pre">truncate</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.70.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.70.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.70.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.70.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.70.4.1. Required parameters</a><ul>
<li><a class="reference internal" href="#target-name">7.3.70.4.1.1. <code class="docutils literal notranslate"><span class="pre">target_name</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.70.5. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="tokenizer_list.html"
                        title="previous chapter"><span class="section-number">7.3.69. </span><code class="docutils literal notranslate"><span class="pre">tokenizer_list</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="../types.html"
                        title="next chapter"><span class="section-number">7.4. </span>Data types</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../types.html" title="7.4. Data types"
             >next</a> |</li>
        <li class="right" >
          <a href="tokenizer_list.html" title="7.3.69. tokenizer_list"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.70. </span><code class="docutils literal notranslate"><span class="pre">truncate</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>